darcs

Issue 2359 convert --export mishandles Unicode filenames

Title convert --export mishandles Unicode filenames
Priority Status resolved
Milestone 2.14.0 HEAD Resolved in 2.14.0 HEAD
Superseder Nosy List bf, ganesh, gh, gwern, jaredj, simon
Assigned To
Topics FilePath, Git, ProbablyEasy

Created on 2014-02-15.23:38:58 by gh, last changed 2018-02-10.12:59:35 by gh.

Messages
msg17205 (view) Author: gh Date: 2014-02-15.23:38:57
From Gwern's commentary <http://bugs.darcs.net/msg17127>:

> filenames with Unicode seem to be mishandled somehow:
>
https://github.com/gwern/gwern.net/commit/f627252d99c54567a9b6466af4ea52d1cdc59ac8
msg18331 (view) Author: gh Date: 2015-03-22.01:11:08
This seems to be a simple bug only if someone who has experience in
treating correctly utf-encoded strings looks at it. Ganesh? Ben?

See
http://hub.darcs.net/darcs/darcs-screened/browse/src/Darcs/UI/Commands/Convert.hs#536
:

These Filenames come from `listTouchedFiles`, then are passed to
`dumpFiles`, which outputs them to the fast-export stream, that's all.
msg19685 (view) Author: bf Date: 2017-10-02.18:29:16
I have a patch for this and a few other convert related issues. Stay tuned.
msg19847 (view) Author: bf Date: 2018-02-07.23:02:18
Thanks for noticing  (and cleaning up after me ;-)
History
Date User Action Args
2014-02-15 23:38:58ghcreate
2015-03-20 20:52:46ghsettopic: + ProbablyEasy, Git
nosy: + simon, jaredj
2015-03-20 20:53:07ghsetmilestone: 2.10.0
2015-03-22 01:11:13ghsettopic: + FilePath
nosy: + ganesh, ben.franksen
messages: + msg18331
2015-04-18 17:39:16ghsetmilestone: 2.10.0 -> 2.12.0
2017-10-02 18:29:17bfsetnosy: + bf, - ben.franksen
messages: + msg19685
2018-02-07 22:01:45ghsetstatus: unknown -> resolved
milestone: 2.12.0 -> 2.14.0 HEAD
resolvedin: 2.14.0 HEAD
2018-02-07 23:02:19bfsetstatus: resolved -> unknown
messages: + msg19847
2018-02-10 12:59:35ghsetstatus: unknown -> resolved